package RestClient;

import retrofit2.Retrofit;
import retrofit2.converter.protobuf.ProtoConverterFactory;

public class RetrofitClient {

    private static Retrofit retrofit = null;

    public static Retrofit getClient(String baseUrl) {
        if (retrofit==null) {
            retrofit = new Retrofit.Builder()
                    .baseUrl(baseUrl)
                    .addConverterFactory(ProtoConverterFactory.create())
                    .build();
        }
        return retrofit;
    }
}