package meerkat.pollingstation;

/**
 * Created by Laura on 3/20/2017.
 */
public class PollingStationToyRun {

    private static PollingStationScanner.Consumer scanner;
    private static final String ADDRESS = "http://localhost";
    private static final String SUB_ADDRESS = "";
    private static final int PORT = 8080;

    public static void main(String [] args) {
        System.err.println("Setting up Scanner WebApp!");

//        scanner = new ReceiverScanHandler(PORT, SUB_ADDRESS);
//
//            try {
//            scanner.start();
//        } catch (Exception e) {
//                e.printStackTrace();
//                System.err.println("Could not start server: " + e.getMessage());
//        }

        ReceiverScanHandler serverController = new ReceiverScanHandler(PORT, SUB_ADDRESS);
        PollingStationMainController controller = new PollingStationMainController();
        controller.init(serverController);

        Thread controllerThread = new Thread(controller);
        controllerThread.setName("Meerkat PS-Controller Thread");
        Thread serverThread = new Thread(serverController);
        serverThread.setName("Meerkat PS-ServerScanner Thread");

        controllerThread.start();
        serverThread.start();

    }
}
